MinimalClassNameIdResolver
Date: 2016-12-04

com.fasterxml.jackson.databind.jsontype.impl

## Class MinimalClassNameIdResolver

- java.lang.Object
- - com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase
  - - com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver
    - - com.fasterxml.jackson.databind.jsontype.impl.MinimalClassNameIdResolver

- All Implemented Interfaces:
    TypeIdResolver

      public class MinimalClassNameIdResolver
      extends ClassNameIdResolver

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `protected java.lang.String` | `_basePackageName` Package name of the base class, to be used for determining common prefix that can be omitted from included type id.
    `protected java.lang.String` | `_basePackagePrefix` Same as `_basePackageName`, but includes trailing dot.

    - ### Fields inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

      `_baseType, _typeFactory`

  - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `MinimalClassNameIdResolver(JavaType baseType, TypeFactory typeFactory)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected JavaType` | `_typeFromId(java.lang.String id, DatabindContext ctxt)`
    `com.fasterxml.jackson.annotation.JsonTypeInfo.Id` | `getMechanism()` Accessor for mechanism that this resolver uses for determining type id from type.
    `java.lang.String` | `idFromValue(java.lang.Object value)` Method called to serialize type of the type of given value as a String to include in serialized JSON content.

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.ClassNameIdResolver

      `_idFrom, getDescForKnownTypeIds, idFromValueAndType, registerSubtype, typeFromId`

    - ### Methods inherited from class com.fasterxml.jackson.databind.jsontype.impl.TypeIdResolverBase

      `idFromBaseType, init`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### _basePackageName

          protected final java.lang.String _basePackageName

      Package name of the base class, to be used for determining common prefix that can be omitted from included type id. Does not include the trailing dot.

    - #### _basePackagePrefix

          protected final java.lang.String _basePackagePrefix

      Same as `_basePackageName`, but includes trailing dot.

  - ### Constructor Detail

    - #### MinimalClassNameIdResolver

          protected MinimalClassNameIdResolver(JavaType baseType,
                                    TypeFactory typeFactory)

  - ### Method Detail

    - #### getMechanism

          public com.fasterxml.jackson.annotation.JsonTypeInfo.Id getMechanism()

      Description copied from interface: `TypeIdResolver`
      Accessor for mechanism that this resolver uses for determining type id from type. Mostly informational; not required to be called or used.
      Specified by:
        `getMechanism` in interface `TypeIdResolver`
      Overrides:
        `getMechanism` in class `ClassNameIdResolver`

    - #### idFromValue

          public java.lang.String idFromValue(java.lang.Object value)

      Description copied from interface: `TypeIdResolver`
      Method called to serialize type of the type of given value as a String to include in serialized JSON content.
      Specified by:
        `idFromValue` in interface `TypeIdResolver`
      Overrides:
        `idFromValue` in class `ClassNameIdResolver`

    - #### _typeFromId

          protected JavaType _typeFromId(java.lang.String id,
                             DatabindContext ctxt)
                                  throws java.io.IOException

      Overrides:
        `_typeFromId` in class `ClassNameIdResolver`
      Throws:
        `java.io.IOException`